commit:     56ce206f30259ee64505f2e324d496071a292c82
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 13 20:13:52 2019 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Tue Oct 15 15:57:54 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56ce206f

dev-python/nosexcover: EAPI=7

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 dev-python/nosexcover/nosexcover-1.0.11-r1.ebuild | 27 +++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/dev-python/nosexcover/nosexcover-1.0.11-r1.ebuild 
b/dev-python/nosexcover/nosexcover-1.0.11-r1.ebuild
new file mode 100644
index 00000000000..36167519271
--- /dev/null
+++ b/dev-python/nosexcover/nosexcover-1.0.11-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Extends nose.plugins.cover to add Cobertura-style XML reports"
+HOMEPAGE="https://github.com/cmheisel/nose-xcover/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/nose[${PYTHON_USEDEP}]
+       >=dev-python/coverage-3.4[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+python_test() {
+       nosetests -v nosexcover/tests.py || die
+}

Reply via email to